API ReferenceAutomations
List runs of an automation
Newest first. Each run shows its status, credits and what each step did; step inputs and outputs are never returned.
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
limit?number
Range
1 <= value <= 100Default
25Response Body
application/json
curl -X GET "https://example.com/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs"{ "data": [ { "id": "1c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f", "automationId": "string", "mode": "TEST", "status": "SUCCEEDED", "triggerType": "manual", "creditsUsed": 0, "error": "string", "startedAt": "2026-10-29T09:00:00.000Z", "finishedAt": "string", "steps": [ { "nodeId": "notify", "type": "action.notify", "status": "SUCCEEDED", "error": "string" } ] } ]}Empty